<?php
class MapFix extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'map_fix';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'create_field' => array(
				'ev_event_events' => array(
					'map_data' => array('type' => 'text', 'null' => true, 'default' => null, 'collate' => 'utf8_general_ci', 'charset' => 'utf8', 'after' => 'country_id'),
				),
			),
			'drop_field' => array(
				'ev_event_events' => array('latitude', 'longitude'),
			),
		),
		'down' => array(
			'drop_field' => array(
				'ev_event_events' => array('map_data'),
			),
			'create_field' => array(
				'ev_event_events' => array(
					'latitude' => array('type' => 'float', 'null' => true, 'default' => null, 'unsigned' => false),
					'longitude' => array('type' => 'float', 'null' => true, 'default' => null, 'unsigned' => false),
				),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function after($direction) {
		return true;
	}
}
